Get transaction

This API is used to get one of the customer's transactions.

It returns the transaction: id, date (ISO 8601 UTC), type, status, amount (total charged, in cents) and method ({type, brand, last4} for cards, {type, last4} for bank accounts, null when there is none).

Note: transaction_id is the id from List transactions.

URL

{{interface_url}}/{{version}}/customers/{{customer_id}}/transactions/{{transaction_id}}

Method

GET

Headers

Authorization: Bearer {access_token} (or Api-Key)

Request Parameters

None.

URL Parameters

ParameterRequired/OptionalTypeDescription
customer_idRequiredIntegerOur customer ID (id returned by Create customer).
transaction_idRequiredIntegerTransaction id from List transactions.

Example Request (cURL)

curl --location '{{interface_url}}/{{version}}/customers/{{customer_id}}/transactions/{{transaction_id}}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {{access_token}}'

Example Response (JSON) — 200

{
  "id": 1048821,
  "date": "2026-11-05T18:16:18Z",
  "type": "sale",
  "status": "approved",
  "amount": 5150,
  "method": {
    "type": "card",
    "brand": "visa",
    "last4": "4242"
  }
}

Error Responses

Format: { "error": { "code", "name", "message", "details" } }

StatusErrorWhen
404customer_not_foundWrong customer, or not in your scope.
404transaction_not_foundWrong transaction, or not this customer's.

Path Params
string
required
string
required
string
required
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json